#! /bin/bash

if [ $# != 1 ]
then
	echo "erorr use $0. Right use this script: "
	echo "$0 path"
else
	cp ../asotr_csv/target/release/asotr_csv ../data/asotr
	path_=$1
	find ${path_} -maxdepth 1 -type d | xargs -I {} ./asotr_unzip.sh {}

	cd ../data/asotr
	./asotr_csv -d ${path_}

	python3 ../../bin/plot_asotr_flight_all.py
fi
